### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata.dav

# Interface AttributesInterface

All Known Subinterfaces:
  `DAVEntityInterface`, `DAVFolderInterface`, `DAVItemInterface`

All Known Implementing Classes:
  `DAVApplitem`, `DAVBinarypackage`, `DAVEntity`, `DAVEvent`, `DAVFolder`, `DAVItem`, `DAVPackage`, `DAVPackageevent`, `DAVPerson`, `DAVPersonalrepository`, `DAVProfile`, `DAVRemarks`, `DAVStoredprocessalert`

@SASScope("ALL") @BinaryCompatibilityOnly public interface AttributesInterface

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttribute(String key, Object value)`
  Add an attribute with the given name and value
  `void`
  `addAttributes(Map attributeMap)`
  Add a number of attributes - names and values are given in the map
  `void`
  `deleteAttribute(String key)`
  Delete a specific attribute
  `void`
  `deleteAttributes(List attributes)`
  Delete a list of attriubtes
  `String`
  `getAttribute(String key)`
  Get the value of the attribute with the given key/name
  `Map`
  `getAttributes()`
  Get a list of all the attributes
  `void`
  `setAttribute(String key, Object value)`
  Set the value of an attribute to the given value
  `void`
  `setAttributes(Map attributeMap)`
  Set a number of attributes - names and values are given in the map

- ## Method Details

  - ### getAttribute

    String getAttribute(String key)
    Get the value of the attribute with the given key/name
    Parameters:
      `key` - The name of the attribute/property
    Returns:
      String The value of the attribute with the given name

  - ### getAttributes

    Map getAttributes()
    Get a list of all the attributes
    Returns:
      The map containing all the key/value name pairs

  - ### setAttribute

    void setAttribute(String key, Object value)
    Set the value of an attribute to the given value
    Parameters:
      `key` - The key/name for this attribute
      `value` - The value of this attribute, generally a String

  - ### addAttribute

    void addAttribute(String key, Object value)
    Add an attribute with the given name and value
    Parameters:
      `key` - The key/name for this attribute
      `value` - The value of this attribute, generally a String

  - ### deleteAttribute

    void deleteAttribute(String key)
    Delete a specific attribute
    Parameters:
      `key` - The name of the attribute to delete

  - ### setAttributes

    void setAttributes(Map attributeMap)
    Set a number of attributes - names and values are given in the map
    Parameters:
      `attributeMap` - Map containing the name/value pairs to set

  - ### addAttributes

    void addAttributes(Map attributeMap)
    Add a number of attributes - names and values are given in the map
    Parameters:
      `attributeMap` - Map containing the name/value pairs to add

  - ### deleteAttributes

    void deleteAttributes(List attributes)
    Delete a list of attriubtes
    Parameters:
      `attributes` - A list of attribute names to delete